%define upstream_name    XML-SAX-Expat
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

License:    Artistic or GPL+
Group:      Development/Perl
Summary:    SAX2 Driver for perl Expat Module
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/XML-SAX-Expat-%{upstream_version}.tar.gz
# (tv) fix install (RT#104665):
Patch0:     fix-install-RT104665.patch
# (tv) fix install (bis):
Patch1:     fix-install-tv.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::NamespaceSupport) >= 0.30.0
BuildRequires: perl(XML::Parser) >= 2.270.0
BuildRequires: perl(XML::SAX) >= 0.30.0
BuildRequires: perl(XML::SAX::Base) >= 1.0.0
BuildArch:  noarch
Requires(post): perl-XML-SAX

%description
An implementation of a SAX2 driver sitting on top of Expat (XML::Parser). 

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
# some autoregistration stufif, moved to %post
perl -pi -e 'm/^sub MY/ and exit' Makefile.PL
chmod -x Changes
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
chmod -x $RPM_BUILD_ROOT/%{perl_vendorlib}/XML/SAX/Expat.pm

%post 
# directly taken from Makefile
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/XML
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.510.0-8.mga8
+ Revision: 1498743
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 tv <tv> 0.510.0-7.mga7
+ Revision: 1273178
- fix installing
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.510.0-6.mga6
+ Revision: 1036121
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.510.0-5.mga6
+ Revision: 949510
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.510.0-4.mga5
+ Revision: 790012
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.510.0-3.mga5
+ Revision: 748365
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.510.0-2.mga5
+ Revision: 686960
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.510.0-1.mga5
+ Revision: 588841
- update to 0.51

* Sat Oct 19 2013 umeabot <umeabot> 0.500.0-2.mga4
+ Revision: 527426
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.500.0-1.mga4
+ Revision: 440094
- update to 0.50

* Wed Mar 13 2013 tv <tv> 0.400.0-3.mga3
+ Revision: 402230
- add missing Requires(post): perl-XML-SAX (#9301) mgarepo sync -c

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 375177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 29353
- mageia rebuild
- imported package perl-XML-SAX-Expat


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 406228
- rebuild using %%perl_convert_version

* Tue Jul 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2009.0
+ Revision: 230453
- update to new version 0.40

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.39-3mdv2009.0
+ Revision: 224653
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.39-2mdv2008.1
+ Revision: 180659
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2008.0
+ Revision: 46719
- update to new version 0.39

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.38-1mdv2008.0
+ Revision: 20682
- 0.38


* Wed Apr 19 2006 Michael Scherer <misc@mandriva.org> 0.37-1mdk
- First Mandriva package

